--- title: "Get Object Storage object list" slug: "devtools-sourcedeploy-objectstorageobjectlist" tags: ["SourceDeploy"] updated: 2026-09-17T10:05:44Z published: 2026-09-17T10:05:44Z canonical: "api.ncloud-docs.com/devtools-sourcedeploy-objectstorageobjectlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Object Storage object list Available in Classic and VPC Get the list of available Object Storage objects. Note To get the object list, you must first create a object in the Object Storage service. See the following for how to create a bucket and upload an object. - Create bucket and upload object on the NAVER Cloud Platform console: See [Object Storage User Guide](https://guide.ncloud-docs.com/docs/en/storage-storage-6-1). - Create bucket and upload object using API: See [Object Storage API Guide](/docs/en/storage-objectstorage). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/objectstorage/bucket/{bucketName} | ### Request headers For information about the headers common to all SourceDeploy APIs, see [SourceDeploy request headers](/docs/en/devtools-sourcedeploy#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `bucketName` | String | Required | Bucket name - See [Get Object Storage bucket list](/docs/en/devtools-sourcedeploy-objectstoragebucketlist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsourcedeploy.apigw.ntruss.com/api/v1/objectstorage/bucket/devtool' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `result` | Object | - | Response result | | `result.objectList` | Array | - | Object list: [objectList](/docs/en/devtools-sourcedeploy-objectstorageobjectlist#objectList) | #### `objectList` The following describes `objectList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `key` | String | - | Object name | | `size` | Number | - | Object size (byte) | ### Response status codes For information about the HTTP status codes common to all SourceDeploy APIs, see [SourceDeploy response status codes](/docs/en/devtools-sourcedeploy#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "result": { "objectList": [ { "key": "deploy/", "size": 0 }, { "key": "deploy/main.py", "size": 121 }, { "key": "result/build-sample.zip", "size": 778 }, { "key": "sourcebuild_backup/20083240-****-****-****-01f1c6db53a5/build-sample.zip", "size": 778 }, ... ] } } ```